﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.51.1/conan-win-32.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.51.1/conan-win-64.exe'
$checksum32  = '70be14a819852ad9bb5e136afd93b62e3b5411f0547f653ce2f566c6a40bc691'
$checksum64  = '9e17a115ed568bf0d387032b1962ae316ff6dff0630ec155fb6622a2880f9cdf'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
